# NFTs, Cardano Improvement Proposals, & Standards

In this module, you will mint a Cardano NFT on the Preproduction Testnet. But this module is not really about NFTs - it's about ***standards***.

In Lesson 203.1, you will learn about transaction metadata. Then in Lesson 203.2 and Mastery Assignment 203.1, you will use transaction metadata to mint a Cardano NFT on Preprod. Finally, in Lessons 203.3 and 203.4, you will start to explore other possibilities for minting NFTs.

By investigating how NFTs work on Cardano - and how they might work in the future - you will learn about how standards work on Cardano. One of the ways to develop new Cardano standards is by contributing to [Cardano Improvement Proposals](https://cips.cardano.org/). You will begin to explore some "CIPs" in this module.

<br />
---

## What is an NFT, anyway?
There is some debate about what defines a "non-fungible token" (NFT) in the first place. Do NFTs require that only one of each token is minted? How can we guarantee that a duplicate NFT can never be minted? Does an NFT have to have an image or other media associated with it, or is it possible to mint NFTs for something other than art? If there is a media file associated with an NFT, is it important where the media is stored?

The current version of "Cardano NFTs" represent one agreed upon way of doing things, or a "standard".

Cardano NFT standards are not enforced directly on the Cardano blockchain. Instead, anyone who wants to create an NFT can do so by following the standard outlined in [Cardano Improvement Proposal 25](https://cips.cardano.org/cips/cip25/). But "CIP-25" is not the only possible standard for NFTs. Over time, there might emerge many ways to mint what could be called an NFT.

<br />
---

## Three Ways to Mint an NFT
So, when you want to mint an NFT on Cardano, you have three options:
1. You can follow the existing [CIP-25](https://cips.cardano.org/cips/cip25/) standard
2. You can experiment with, and contribute to, new standards like [CIP-60](https://cips.cardano.org/cips/cip60/) or [CIP-68](https://cips.cardano.org/cips/cip68/)
3. You can run experiments, and possibly define new standards that solve different problems or create new use cases

In Lesson 203.2, you will see how to mint an NFT with Cardano CLI. Our goals is to build your background knowledge about CIP-25 NFTs.

In Lessons 203.3 and 203.4, we will explore some new and emerging standards.

<br />
---

## It is ALL a work in progress
Whether we are talking about languages for writing smart contracts, NFTs, governance processes, or even the PPBL course you're looking at right now, our work is incomplete.

For the Cardano Community, there are a lot of decisions to make in the months and years to come. In the best cases, whatever decision is made first will represent an experimental hypothesis - providing a way to get started, and to learn as much as possible - so that better systems can be built over time. In other words - continuous ***improvement*** is built into how Cardano works.

Cardano ***Improvement*** Proposals are the formal structure for how such iterative change will happen on Cardano.

We believe that the Cardano community will make better decisions if more people are educated about how Cardano works. We're building this PPBL course because we want you to contribute to the ongoing work of making Cardano work better for more people.

### So let's keep learning!


import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;